com.hazelcast.core

## Enum LifecycleEvent.LifecycleState

- java.lang.Object
- - java.lang.Enum<LifecycleEvent.LifecycleState>
  - - com.hazelcast.core.LifecycleEvent.LifecycleState

- All Implemented Interfaces:
    Serializable, Comparable<LifecycleEvent.LifecycleState>
  Enclosing class:
    LifecycleEvent

      public static enum LifecycleEvent.LifecycleState
      extends Enum<LifecycleEvent.LifecycleState>

  Lifecycle states

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT_CHANGED_CLUSTER` Fired when a client is connected to a new cluster.
    `CLIENT_CONNECTED` Fired when a client is connected to the member.
    `CLIENT_DISCONNECTED` Fired when a client is disconnected from the member.
    `MERGE_FAILED` Fired when the merge process failed for some reason.
    `MERGED` Fired when the merge process was successful and all data has been merged.
    `MERGING` Fired on each cluster member just before the start of a merge process into another cluster.
    `SHUTDOWN` Fired when the member shut down is completed.
    `SHUTTING_DOWN` Fired when the member is shutting down.
    `STARTED` Fired when the member start is completed.
    `STARTING` Fired when the member is starting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LifecycleEvent.LifecycleState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LifecycleEvent.LifecycleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTING

          public static final LifecycleEvent.LifecycleState STARTING

      Fired when the member is starting.

    - #### STARTED

          public static final LifecycleEvent.LifecycleState STARTED

      Fired when the member start is completed.

    - #### SHUTTING_DOWN

          public static final LifecycleEvent.LifecycleState SHUTTING_DOWN

      Fired when the member is shutting down.

    - #### SHUTDOWN

          public static final LifecycleEvent.LifecycleState SHUTDOWN

      Fired when the member shut down is completed.

    - #### MERGING

          public static final LifecycleEvent.LifecycleState MERGING

      Fired on each cluster member just before the start of a merge process into another cluster. This is typically used when a split-brain situation is healed.

    - #### MERGED

          public static final LifecycleEvent.LifecycleState MERGED

      Fired when the merge process was successful and all data has been merged.

    - #### MERGE_FAILED

          public static final LifecycleEvent.LifecycleState MERGE_FAILED

      Fired when the merge process failed for some reason.

    - #### CLIENT_CONNECTED

          public static final LifecycleEvent.LifecycleState CLIENT_CONNECTED

      Fired when a client is connected to the member.

    - #### CLIENT_DISCONNECTED

          public static final LifecycleEvent.LifecycleState CLIENT_DISCONNECTED

      Fired when a client is disconnected from the member.

    - #### CLIENT_CHANGED_CLUSTER

          public static final LifecycleEvent.LifecycleState CLIENT_CHANGED_CLUSTER

      Fired when a client is connected to a new cluster.

  - ### Method Detail

    - #### values

          public static LifecycleEvent.LifecycleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleEvent.LifecycleState c : LifecycleEvent.LifecycleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleEvent.LifecycleState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.